import * as React from 'react';
import { FieldAPI, ParametersAPI } from '@contentful/field-editor-shared';
export interface BooleanEditorProps {
    /**
     * is the field disabled initially
     */
    isInitiallyDisabled: boolean;
    /**
     * sdk.field
     */
    field: FieldAPI;
    /**
     * sdk.parameters
     */
    parameters?: ParametersAPI<Record<string, any>, {
        trueLabel?: string;
        falseLabel?: string;
    }, Record<string, any>>;
}
export declare function BooleanEditor(props: BooleanEditorProps): React.JSX.Element;
export declare namespace BooleanEditor {
    var defaultProps: {
        isInitiallyDisabled: boolean;
    };
}
